## Create a new AI Gateway Dynamic Route Deployment. `client.AIGateway.DynamicRouting.NewDeployment(ctx, gatewayID, id, params) (*DynamicRoutingNewDeploymentResponse, error)` **post** `/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/routes/{id}/deployments` Create a new AI Gateway Dynamic Route Deployment. ### Parameters - `gatewayID string` - `id string` - `params DynamicRoutingNewDeploymentParams` - `AccountID param.Field[string]` Path param - `VersionID param.Field[string]` Body param ### Returns - `type DynamicRoutingNewDeploymentResponse struct{…}` - `ID string` - `CreatedAt Time` - `Elements []DynamicRoutingNewDeploymentResponseElement` - `type DynamicRoutingNewDeploymentResponseElementsObject struct{…}` - `ID string` - `Outputs DynamicRoutingNewDeploymentResponseElementsObjectOutputs` - `Next DynamicRoutingNewDeploymentResponseElementsObjectOutputsNext` - `ElementID string` - `Type DynamicRoutingNewDeploymentResponseElementsObjectType` - `const DynamicRoutingNewDeploymentResponseElementsObjectTypeStart DynamicRoutingNewDeploymentResponseElementsObjectType = "start"` - `type DynamicRoutingNewDeploymentResponseElementsObject struct{…}` - `ID string` - `Outputs DynamicRoutingNewDeploymentResponseElementsObjectOutputs` - `False DynamicRoutingNewDeploymentResponseElementsObjectOutputsFalse` - `ElementID string` - `True DynamicRoutingNewDeploymentResponseElementsObjectOutputsTrue` - `ElementID string` - `Properties DynamicRoutingNewDeploymentResponseElementsObjectProperties` - `Conditions unknown` - `Type DynamicRoutingNewDeploymentResponseElementsObjectType` - `const DynamicRoutingNewDeploymentResponseElementsObjectTypeConditional DynamicRoutingNewDeploymentResponseElementsObjectType = "conditional"` - `type DynamicRoutingNewDeploymentResponseElementsObject struct{…}` - `ID string` - `Outputs map[string, DynamicRoutingNewDeploymentResponseElementsObjectOutput]` - `ElementID string` - `Type DynamicRoutingNewDeploymentResponseElementsObjectType` - `const DynamicRoutingNewDeploymentResponseElementsObjectTypePercentage DynamicRoutingNewDeploymentResponseElementsObjectType = "percentage"` - `type DynamicRoutingNewDeploymentResponseElementsObject struct{…}` - `ID string` - `Outputs DynamicRoutingNewDeploymentResponseElementsObjectOutputs` - `Fallback DynamicRoutingNewDeploymentResponseElementsObjectOutputsFallback` - `ElementID string` - `Success DynamicRoutingNewDeploymentResponseElementsObjectOutputsSuccess` - `ElementID string` - `Properties DynamicRoutingNewDeploymentResponseElementsObjectProperties` - `Key string` - `Limit float64` - `LimitType DynamicRoutingNewDeploymentResponseElementsObjectPropertiesLimitType` - `const DynamicRoutingNewDeploymentResponseElementsObjectPropertiesLimitTypeCount DynamicRoutingNewDeploymentResponseElementsObjectPropertiesLimitType = "count"` - `const DynamicRoutingNewDeploymentResponseElementsObjectPropertiesLimitTypeCost DynamicRoutingNewDeploymentResponseElementsObjectPropertiesLimitType = "cost"` - `Window float64` - `Type DynamicRoutingNewDeploymentResponseElementsObjectType` - `const DynamicRoutingNewDeploymentResponseElementsObjectTypeRate DynamicRoutingNewDeploymentResponseElementsObjectType = "rate"` - `type DynamicRoutingNewDeploymentResponseElementsObject struct{…}` - `ID string` - `Outputs DynamicRoutingNewDeploymentResponseElementsObjectOutputs` - `Fallback DynamicRoutingNewDeploymentResponseElementsObjectOutputsFallback` - `ElementID string` - `Success DynamicRoutingNewDeploymentResponseElementsObjectOutputsSuccess` - `ElementID string` - `Properties DynamicRoutingNewDeploymentResponseElementsObjectProperties` - `Model string` - `Provider string` - `Retries float64` - `Timeout float64` - `Type DynamicRoutingNewDeploymentResponseElementsObjectType` - `const DynamicRoutingNewDeploymentResponseElementsObjectTypeModel DynamicRoutingNewDeploymentResponseElementsObjectType = "model"` - `type DynamicRoutingNewDeploymentResponseElementsObject struct{…}` - `ID string` - `Outputs map[string, DynamicRoutingNewDeploymentResponseElementsObjectOutput]` - `ElementID string` - `Type DynamicRoutingNewDeploymentResponseElementsObjectType` - `const DynamicRoutingNewDeploymentResponseElementsObjectTypeEnd DynamicRoutingNewDeploymentResponseElementsObjectType = "end"` - `GatewayID string` - `ModifiedAt Time` - `Name string` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/ai_gateway" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.AIGateway.DynamicRouting.NewDeployment( context.TODO(), "54442216", "54442216", ai_gateway.DynamicRoutingNewDeploymentParams{ AccountID: cloudflare.F("0d37909e38d3e99c29fa2cd343ac421a"), VersionID: cloudflare.F("54442216"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.ID) } ``` #### Response ```json { "result": { "id": "id", "created_at": "2019-12-27T18:11:19.117Z", "elements": [ { "id": "id", "outputs": { "next": { "elementId": "elementId" } }, "type": "start" } ], "gateway_id": "gateway_id", "modified_at": "2019-12-27T18:11:19.117Z", "name": "name" }, "success": true } ```